#include "emergency_stop.h"
#include "stm32f10x.h"
#include "uart_log.h"

// EXTI线2中断服务例程
void Emergency_Stop_Interrupt(void) {
	  Serial_Print("Emergency_Stop_Interrupt\n");
			 // PE2 急停按钮
    if (EXTI->PR & EXTI_PR_PR2) {
        if (GPIOE->IDR & (1 << 2)) {  // 检测PE2的上升沿
            Serial_Print("PE2: 抬起 (急停按钮 - 高电平)\n");
        } else {  // 检测PD14的下降沿
            Serial_Print("PE2: 按下 (急停按钮 - 低电平)\n");
        }
    
    }
}
